DRM_DETECT_MONITOR_A(9)

NAME
drm_detect_monitor_audio - check monitor audio capability

SYNOPSIS

bool drm_detect_monitor_audio(struct edid * edid);

ARGUMENTS

edid
    EDID block to scan

DESCRIPTION

Monitor should have CEA extension block. If monitor has 'basic audio', but no CEA audio blocks, it's 'basic audio' only. If there is any audio extension block and supported audio format, assume at least 'basic audio' support, even if 'basic audio' is not defined in EDID.

RETURN

True if the monitor supports audio, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT